Developers
V1SocialProfiles

Search approved profiles that opted into discovery

Literal name/handle search, minimum two characters. Blocked and muted profiles are omitted. UUID cursor pagination, maximum 50 results. No contact upload.

GET
/v1/social/profiles
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
limit?integer
Range1 <= value <= 50
Default20
q*string
Length2 <= length <= 80

Response Body

application/json

curl -X GET "https://example.com/v1/social/profiles?q=string"
{  "profiles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "alias": "string",      "handle": "string",      "visibility": "private",      "followerCount": 0,      "followingCount": 0,      "following": "none",      "followedBy": true,      "muted": true,      "canViewConnections": false    }  ],  "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}